### Function

# WPEPlatform DRMDevice new

#### Declaration [src]

    WPEDRMDevice*
    wpe_drm_device_new (
      const char* primary_node,
      const char* render_node
    )

#### Description [src]

Create a new `WPEDRMDevice` for the given `primary_node` and `render_node`.

#### Parameters

`primary_node`

  Type: `const char*`

  The filename of the primary node.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`render_node`

  Type: `const char*`

  The filename of the render node, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `WPEDRMDevice`

A new `WPEDRMDevice`.

The caller of the function takes ownership of the data, and is responsible for freeing it.